Subject: Re: linux-next: build failure after merge of the amdgpu and powerpc-fixes trees

From: Rodrigo Siqueira Jordao <[email-masked]>
Date: Thu, 28 Jul 2022 16:36:56 -0400

Hi Stephen/Michael,

I made this fix:

https://patchwork.freedesktop.org/series/106824/

Could you check if it fixes the issue for you? If so, could you undo 
your revert?

Thanks
Siqueira

On 2022-07-27 12:15, Alex Deucher wrote:
> + Rodrigo, Melissa
> 
> On Wed, Jul 27, 2022 at 10:17 AM Michael Ellerman <[email-masked]> wrote:
>>
>> Stephen Rothwell <[email-masked]> writes:
>>> Hi all,
>>>
>>> After merging the amdgpu tree, today's linux-next build (powerpc
>>> allyesconfig) failed like this:
>>>
>>> ld: drivers/gpu/drm/amd/display/dc/dml/display_mode_lib.o uses hard float, drivers/gpu/drm/amd/display/dc/dcn30/dcn30_optc.o uses soft float
>>> ld: failed to merge target specific data of file drivers/gpu/drm/amd/display/dc/dcn30/dcn30_optc.o
>>>
>>> I have reverted commit
>>>
>>>    c653c591789b ("drm/amdgpu: Re-enable DCN for 64-bit powerpc")
>>>
>>> for today.
>>
>> It bisects to:
>>
>>    40b31e5355ba ("drm/amd/display: Remove FPU flags from DCN30 Makefile")
>>
>> So I guess there's still some float code in dcn30?
>>
>> cheers